Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.page
Class MenuPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.page.MenuPresentationContext

All Implemented Interfaces:
  Serializable

public class MenuPresentationContext
extends PresentationContext

See Also:
  Serialized Form

Field Summary
`static String` | `CENTER` Align the tabs in the center.
`static String` | `LEFT` Align the tabs in the left.
`static String` | `RIGHT` Align the tabs on the right.

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `MenuPresentationContext(Menu menu)`

Method Summary
`String` | `getAlign()` Getter for the alignment of the tabs.
`static MenuPresentationContext` | `getMenuPresentationContext(HttpServletRequest request)`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final String LEFT

  Align the tabs in the left.

  See Also:
    Constant Field Values

### CENTER

    public static final String CENTER

  Align the tabs in the center.

  See Also:
    Constant Field Values

### RIGHT

    public static final String RIGHT

  Align the tabs on the right.

  See Also:
    Constant Field Values

Constructor Detail

### MenuPresentationContext

    protected MenuPresentationContext(Menu menu)

Method Detail

### getAlign

    public String getAlign()

  Getter for the alignment of the tabs.

  Returns:
    One of:
    - `MenuPresentationContext.LEFT`
    - `MenuPresentationContext.CENTER`
    - `MenuPresentationContext.RIGHT`

### getMenuPresentationContext

    public static MenuPresentationContext getMenuPresentationContext(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved